# StarterDataEntry | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Interface StarterDataEntry

interface StarterDataEntry {
abilityAttr : number;
candyCount : number;
classicWinCount : number;
eggMoves : number;
friendship : number;
moveset : StarterMoveset | StarterFormMoveData ;
passiveAttr : number;
valueReduction : number;
}

- Defined in src/system/game-data.ts:231

#####
Index

### Properties

abilityAttr
candyCount
classicWinCount
eggMoves
friendship
moveset
passiveAttr
valueReduction

## Properties

### abilityAttr

abilityAttr: number

- Defined in src/system/game-data.ts:236

### candyCount

candyCount: number

- Defined in src/system/game-data.ts:234

### classicWinCount

classicWinCount: number

- Defined in src/system/game-data.ts:239

### eggMoves

eggMoves: number

- Defined in src/system/game-data.ts:233

### friendship

friendship: number

- Defined in src/system/game-data.ts:235

### moveset

moveset: StarterMoveset | StarterFormMoveData

- Defined in src/system/game-data.ts:232

### passiveAttr

passiveAttr: number

- Defined in src/system/game-data.ts:237

### valueReduction

valueReduction: number

- Defined in src/system/game-data.ts:238